GAMEResiduesPropHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.GAMEResiduesPropHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMEResiduesPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.SequenceContentHandlerBase
              org.biojava.bio.seq.io.game.GAMEResiduesPropHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEResiduesPropHandler

extends SequenceContentHandlerBase

StAX handler for GAME <residues> elements. derived from Thomas Down's PropDetailHandler

This takes the sequence supplied by <residues> elements and feeds it to a StreamParser associated with a SeqIOLIstener instance.

Since:
  1.8
Author:
  David Huen, Thomas Down

Field Summary
`static StAXHandlerFactory` | `GAME_RESIDUES_PROP_HANDLER_FACTORY`

Constructor Summary
`GAMEResiduesPropHandler(StAXFeatureHandler staxenv)`

Method Summary
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.bio.seq.io.game.SequenceContentHandlerBase
`characters, endElement, setStreamParser`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_RESIDUES_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_RESIDUES_PROP_HANDLER_FACTORY

Constructor Detail

### GAMEResiduesPropHandler

    public GAMEResiduesPropHandler(StAXFeatureHandler staxenv)

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `SequenceContentHandlerBase`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD